package com.eactive.eai.transformer.message.logger;

import com.eactive.eai.common.util.Logger;
import com.eactive.eai.transformer.layout.Item;
import com.eactive.eai.transformer.message.ObjectMessage;


public class ObjectMessageLogger implements MessageLogger {
    private static Logger logger = Logger.getLogger("transformer");
    private ObjectMessage message;

    public ObjectMessageLogger(ObjectMessage message) {
        this.message = message;
    }

    public void doLog() {
        logger.info(this.getClass().getName() +
            "> !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
        logger.info(this.getClass().getName() +
            "> 현재 기본 구현된 메시지 로거를 사용하고 계십니다.");
        logger.info(getLogMessage());
    }

    public String getLogMessage() {
        return this.message.getClass().getName();
    }

    public String getLogMessage(boolean ebcdic) {
        return getLogMessage();
    }

    public String toString(Item item) throws Exception {
        return null;
    }
}
